Package org.eclipse.jgit.patch

## Enum BinaryHunk.Type

- java.lang.Object
- - java.lang.Enum<BinaryHunk.Type>
  - - org.eclipse.jgit.patch.BinaryHunk.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryHunk.Type>`

Enclosing class:
  BinaryHunk

    public static enum BinaryHunk.Type
    extends Enum<BinaryHunk.Type>

Type of information stored in a binary hunk.

### Enum Constant Summary

Enum Constants
`DELTA_DEFLATED` A Git pack-style delta is stored, deflated.
`LITERAL_DEFLATED` The full content is stored, deflated.

### Method Summary

All Methods Static Methods Concrete Methods
`static BinaryHunk.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static BinaryHunk.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LITERAL_DEFLATED

    public static final BinaryHunk.Type LITERAL_DEFLATED

The full content is stored, deflated.

#### DELTA_DEFLATED

    public static final BinaryHunk.Type DELTA_DEFLATED

A Git pack-style delta is stored, deflated.

### Method Detail

#### values

    public static BinaryHunk.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BinaryHunk.Type c : BinaryHunk.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BinaryHunk.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null